MYTHPREVIEWGEN(1)

NAME
mythpreviewgen - MythTV Preview Generator

DESCRIPTION
mythpreviewgen version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org Misc. Options:

--chanid
    Specify chanid of recording to operate on.

--frame
    Number of frames into video to take preview image.

--infile
    Input video for preview generation.

--outfile
    Optional output file for preview generation.

--seconds
    Number of seconds into video to take preview image.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

--size
    Dimensions of preview image.

--starttime
    Specify start time of recording to operate on.

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.